+ Répondre à la discussion
Affichage des résultats 1 à 2 sur 2
  1. #1
    Invité de passage
    Inscrit en
    avril 2006
    Messages
    4
    Détails du profil
    Informations forums :
    Inscription : avril 2006
    Messages : 4
    Points : 0
    Points
    0

    Par défaut JRE Version - JNLP ERREUR INSTALLATION - Applet

    Salut à tous,

    Lorsque j'utilise un script JNLP pour installer mon applet,
    l'installation se passe mal en fonction du JRE utilisé
    Avez vous aussi des problèmes du genre ?

    L'applet ne marche pas pour les versions :
    JRE 1.6.0_04
    JRE 1.6.0_05
    JRE 1.6.0_06
    JRE 1.6.0_07
    Exception :
    charger : classe DepotApplet introuvable.
    java.lang.ClassNotFoundException: DepotApplet
    et la MAJ au JRE supperieur ne fonctionne pas !!!
    <j2se version="1.6.0_11+"

    L'applet marche pour les versions :
    JRE 1.6.0_10
    JRE 1.6.0_11
    le lancement de l'applet fonctionne
    Mais si je cherche à forcer la version du JRE (<j2se version="1.6.0_11+")
    Exception :
    Downloading JRE 1.6.0_11 from http://java.sun.com/products/autodl/j2se...
    exception : null.
    JNLPException[category: Configuration système : Exception: null : LaunchDesc:


    #######################################################
    copie du JNLP

    Code :
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    <?xml version="1.0" encoding="utf-8"?>
    <jnlp spec="1.0+" 
    	codebase="" href="applet.jnlp">
     
    	<information>
    		<title></title>
    		<vendor></vendor>
    		<information locale="fr_FR" />
    	</information>
     
    	<security>
    		<all-permissions />
    	</security>
     
    	<resources> 
    			<j2se 
    			version="1.6+"
    			initial-heap-size="128m"
    			max-heap-size="512m"/>
     
    			<jar href="jar/Depot-1.0-SNAPSHOT.jar" main="true"/>
    			<jar href="jar/TechTools-1.0-SNAPSHOT.jar" />
     
    			<jar href="jar/opensign.jar"  />
    			<jar href="jar/capi.jar"  />
    			<jar href="jar/cdcard.jar"  />
    			<jar href="jar/jsse.jar"  />
    			<jar href="jar/pkcs12.jar"  />
    			<jar href="jar/oces.jar"  />
    			<jar href="jar/commons-digester-1.8.jar"  />
    			<jar href="jar/commons-collections-3.2.jar"  />
    			<jar href="jar/commons-logging-1.1.1.jar"  />
    			<jar href="jar/commons-beanutils-1.7.0.jar"  />
    			<jar href="jar/forms-1.0.4.jar" />
    			<jar href="jar/swingx-0.9.2.jar" />
    			<jar href="jar/commons-io-1.3.1.jar" />
    			<jar href="jar/MicrosoftCryptoApi_0_4.dll.jar" />
     
    	</resources>
     
    	<applet-desc 
    	 			 documentBase="" 
    				 main-class="DepotApplet" 
    				 name="" 
    				 width="800" 
    				 height="500"/>
    </jnlp>
    #######################################################
    copie de l'applet

    Code :
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    <applet 
    name="" 
    code="DepotApplet" 
    width="800" 
    height="500" 
    codebase="#{beanName.baseUrl}/applet/"
    archive="Depot-1.0-SNAPSHOT.jar">
     
     
    	<!-- ### JNLP ### -->
    	<param name="jnlp_href" value="#{beanName.baseUrl}/applet/applet.jnlp" />						 
     
    <!-- ### SIGN ### -->
    	<param name="ZIP_BASE_URL" value="#{beanName.baseUrl}/applet/jar/TechTools-1.0-SNAPSHOT.jar" />
    	<param name="background" value="255,255,255" />
    	<param name="gui" value="modern" />
     
    	<!-- ### UPLOAD ### -->
    	<param name="debugLevel" value="99" />
    	<param name="nbFilesPerRequest" value="1" />
    	<param name="postUrl" value="#{beanName.appletPostUrlParam}" />
    	<param name="maxChunkSize" value="5120000" />
    	<param name="afterUploadURL" value="#{beanName.appletAfterUploadURLParam}" />
     
    	<!-- ### ## -->
    	<param name="structurationReponse" value="#{beanName.encodedStructurationReponse}" />
     
    	<!-- ### GENERAUX ### -->
    	<param name="ZIP_BASE_URL" value="#{beanName.baseUrl}/applet/jar/" />
    	<!-- 
    	<param name="ZIP_FILE_ALIAS" value="OpenSign" />
    	<param name="ZIP_BASE_URL" value="#{context}/ressources/standard/applet/plugins" />
    	<param name="MS_SUPPORT" value="bcjce" />
    	<param name="SUN_SUPPORT" value="jsse" />
    	<param name="STRIP_ZIP" value="yes" />
    	<param name="EXTRA_ZIP_FILE_NAMES" value="capi,pkcs12,cdcard" />
    	<param name="LOG_LEVEL" value="DEBUG" />
    	<param name="locale" value="fr,FR" />				
    	<param name="background" value="255,255,255" />
    	<param name="gui" value="modern" />
    	 -->
    </applet>

  2. #2
    Candidat au titre de Membre du Club
    Inscrit en
    juin 2004
    Messages
    16
    Détails du profil
    Informations forums :
    Inscription : juin 2004
    Messages : 16
    Points : 10
    Points
    10

    Par défaut JWS fonctionne uniquement sur JRE 6_10+

    JWS est une évolution apportée dans la JRE 6_10. elle ne peut apparaître dans une version inférieure.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •